Клуб API Карт

API v2 & IE8 не дружат?

kostya-vlasov
24 апреля 2012, 07:09

http://api.yandex.ru/maps/doc/jsapi/2.x/examples/geoxml.html

 

Сведения об ошибке на веб-странице
Агент пользователя: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; InfoPath.1; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; .NET4.0C; .NET4.0E; .NET CLR 1.1.4322)
штамп времени: Tue, 24 Apr 2012 03:04:48 UTC
Сообщение: Предполагается наличие объекта
Строка: 1
Символ: 4842
Код: 0
URI-код: http://api-maps.yandex.ru/2.0.7/release/combine.xml?modules=fpfDisiFfygVfAfqhTm2ovm9m6ncm1g6g0lKlJhJj7j6kaksfZn7n6mgmhlVltkbkhnMktkug3lUnYnWklkgf1fQf5i5f4fYf6fTmBmFmCfWfSf3fPgBg4nKnRnOfwhthrholDhsn4n0n5nZn3n1iqgigxgamsiiiEfCoomjeejrgWoAj1nqjZj0gUgpjRjQjSgjoEm5ofodpepfpupipqoXpphGgOozoDnam7ndoqoUoVfUnSkAlXlYgRgZgNinkpkoknkrkqh8ogiofrhxjljkidn9gQgwjphwlGghgliwfEgygLlHlFnJj8ntnHnDnrnGnCj4j3nvnInEh2h5fXf0i3gblAfzlyh1h0h4fvmcgSmfmemdgtpnpmpoh3hZftlMjhjilalolho3o5kekkgPkmkZk3k6k5k4gYg1ivhBlrlnnXjjiOjCjqmqmnf2lLgufRiWgAmDnomigoihgEjIirigg9gDiklskxj9nLlwkzkfnQlvkykdkjnPlukwkckinNkPkLkOkMkNk7kVkQkUkTkRfNgnjDlBfulWlzlxizixgqiylqlmlEhqn2jwokmpd6h9npgcm3oKoHoGoIoJoCoBosorotoeocoWpwpvpzpApMpNpLpBpCpDpEpWpPpOpQpVphpgg7oFnboRpcpbpdoSoTm8oyoplOl0lZhdhbhchVhUl3ijitiuf7jTjUjVjWjMjOjKjYjPjXjLhDhFicmlgXg5mkgmfxgMgHiphylIhzhvhapso8o7jFoYnAnynso2nznFo1o0nunBgKmLf8jJhnkWiahXl7l6magTjnpypFpHhHhAhMhCfVlPfBl2lShNl1hEjglQjujaf9oagklfhmk8k0k1k2nVhImrmmmomWmYgFlNnndYhfjckEjHgdk9o4jxleldjvlclpnTfFfIfGkSfLfOfKfMhOhuhSmTmVm4gJh6hYpkcRmPmOdHcFc2cvdybabhbIpXc1plpxa1brbZcVccoOouiZmKi6i2i7iVi4iTjGnjg8obibl8l4gIgGnmimjNfsg2kvgsgeggpao9n8j2nxoZj5jmkFmbl9pTpRpSpUpJhkiYjAjsjfjehhkHmUmQkYiQhehgjbkKlgljlllklbfJiMfHlClRhpifmRiXdsmNbjbvdGdXdcbJc9dJbRdQdkdjbncBcTbDpYbKc6cLcKoPh7i1cXdWdFcmbycpcHbfcwiUojhPolomjBkXmMprnwhlhjhinUmZkBmwiIa2dgbcc8caa9ckdPddcSbBcAcYdTbEbNdAcJbscQdtctdwdfcdb1bddvbzbFcPbobpbXmJi0czmzgzgfiDmGiJmvcWcUdNb6bwcndudEbQbmcybPdodncCdLjoiHbWdMdpcxb9csdbb8dzdBb5iNiGm0mXjt

 Из фака:

В настоящий момент карты можно использовать в браузерах Microsoft Internet Explorer 7.0 и выше, Mozilla Firefox 3.6 и выше, Opera 11.0 и выше, Apple Safari 5.0 и выше и Chrome

P.S. Что-то у меня появляется стойкое ощущение, что придется откатываться на v 1.. Никто так не думал?

11 комментариев
Подписаться на комментарии к посту

Мы работаем над этим.

АПИ конечно же тестировалось во всех ИЕ, и даже в IE6 оно работает без каких либо проблем.

Но именно версия в релизе падает на некоторых(не всех и не всегда) ИЕ.

 

Тотже пример на: IE 9.0.8112.16421

 

SCRIPT445: Команда не поддерживается объектом geoxml.xml?callback=id_13352488615682277240&url=http%3A%2F%2Fmaps.yandex.ru%2Fexport%2Fusermaps%2F93jfWjoXws37exPmKH-OFIuj3IQduHal%2F, строка 1 символ 1

Дайте пример страницы, пожалуйста.

API 2.0 работает в IE8.

Открывал пример: http://api.yandex.ru/maps/doc/jsapi/2.x/examples/geoxml.html

как уже выше написал geoxml не работает ни в 8 ни в 9 MSIE

Спасибо за ваше сообщение.

Действительно, при загрузке ymapsml в IE происходит ошибка. Проблема будет исправлена в ближайшем релизе.

workaround следующий:

ymaps.geoXml.ymapsml.MapState = function (json) {

   return {

      applyToMap: function (map) {

      }

   };

}

Этот код необходимо разместить до загрузки ymapsml. Метод applyToMap, к сожалению, работать не будет.

Спасибо, ждемс ближайший релиз.

приведите пожалуста весь код, немогу изменить пример, чтобы зараработал под IE

Не помогает, говорит что в ymaps.geoXml нет ymapsml

У меня такую же ошибку выдает, при просмотре через 1с 8.2 вот этого примера http://api.yandex.ru/maps/doc/jsapi/2.x/examples/markersiconcontent.html и метки отображаются непонятно как...

 

Человек вверху уже отписал, что есть проблема и будет исправлена в ближайшем релизе.

Проблема я так понял не решена?